package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemSimpleContentEntryListBindingImpl extends ItemSimpleContentEntryListBinding  {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = null;
    }
    // views
    // variables
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ItemSimpleContentEntryListBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 2, sIncludes, sViewsWithIds));
    }
    private ItemSimpleContentEntryListBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[0]
            , (android.widget.TextView) bindings[1]
            );
        this.entryHolder.setTag(null);
        this.itemSimpleContentEntryTitle.setTag(null);
        setRootTag(root);
        // listeners
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x2L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.contententry == variableId) {
            setContententry((com.ustadmobile.lib.db.entities.ContentEntry) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setContententry(@Nullable com.ustadmobile.lib.db.entities.ContentEntry Contententry) {
        this.mContententry = Contententry;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.contententry);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        long contententryContentEntryUid = 0;
        java.lang.String contententryTitle = null;
        com.ustadmobile.lib.db.entities.ContentEntry contententry = mContententry;

        if ((dirtyFlags & 0x3L) != 0) {



                if (contententry != null) {
                    // read contententry.contentEntryUid
                    contententryContentEntryUid = contententry.getContentEntryUid();
                    // read contententry.title
                    contententryTitle = contententry.getTitle();
                }
        }
        // batch finished
        if ((dirtyFlags & 0x3L) != 0) {
            // api target 1

            this.entryHolder.setTag(contententryContentEntryUid);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemSimpleContentEntryTitle, contententryTitle);
        }
    }
    // Listener Stub Implementations
    // callback impls
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): contententry
        flag 1 (0x2L): null
    flag mapping end*/
    //end
}